package com.wmyun.module.system.service.pdf;

import com.wmyun.module.system.controller.admin.pdf.vo.PdfResultVO;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.IOException;
import java.util.List;

public interface PdfSplitService {
    /**
     *  拆分一个PDF文件为多个pdf（每页一个）
     * @param sourceFile
     * @param outputDir
     * @return
     * @throws IOException
     */
    List<PdfResultVO> splitPdf(File sourceFile, String outputDir) throws IOException;
    /**
     *  拆分一个PDF文件为多个图片（每页一个）
     * @param pdfFile
     * @param outputDir
     * @return
     * @throws IOException
     */
    List<PdfResultVO> PdfToImageConverter(File pdfFile, String outputDir) throws IOException;

    void splitPdfByPages(File sourceFile, String outputDir, int startPage, int endPage) throws IOException;

    void splitAllPages(File sourceFile, String outputDir) throws IOException;

    MultipartFile convertToMultipartFile(String filePath) throws IOException;
}
